## net.i2p.router.tunnel.pool
Class PooledTunnelCreatorConfig

    java.lang.Object
      net.i2p.router.tunnel.TunnelCreatorConfig
          net.i2p.router.tunnel.pool.PooledTunnelCreatorConfig

All Implemented Interfaces:
  TunnelInfo

    public class PooledTunnelCreatorConfig

extends TunnelCreatorConfig

Field Summary

Fields inherited from class net.i2p.router.tunnel.TunnelCreatorConfig
`_context`

Constructor Summary
`PooledTunnelCreatorConfig(RouterContext ctx, int length, boolean isInbound)` Creates a new instance of PooledTunnelCreatorConfig
`PooledTunnelCreatorConfig(RouterContext ctx, int length, boolean isInbound, Hash destination)`

Method Summary
`java.util.Properties` `getOptions()`
`TunnelPool` `getTunnelPool()`
`void` `setExpireJob(Job job)`
`void` `setPairedTunnel(TunnelInfo tunnel)`
`void` `setTestJob(TestJob job)`
`void` `setTunnelPool(TunnelPool pool)`
`void` `testSuccessful(int ms)` take note that the tunnel was able to measurably Do Good in the given time
`boolean` `tunnelFailed()` The tunnel failed, so stop using it

Methods inherited from class net.i2p.router.tunnel.TunnelCreatorConfig

`getConfig, getDestination, getExpiration, getLength, getPeakThroughputKBps, getPeer, getProcessedMessagesCount, getReceiveTunnelId, getReplyMessageId, getReplyOrder, getSendTunnelId, getTunnelFailed, getTunnelFailures, getVerifiedBytesTransferred, incrementProcessedMessages, incrementVerifiedBytesTransferred, isInbound, setExpiration, setPeakThroughputKBps, setPeer, setReplyMessageId, setReplyOrder, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PooledTunnelCreatorConfig

    public PooledTunnelCreatorConfig(RouterContext ctx,
                                     int length,
                                     boolean isInbound)

  Creates a new instance of PooledTunnelCreatorConfig

### PooledTunnelCreatorConfig

    public PooledTunnelCreatorConfig(RouterContext ctx,
                                     int length,
                                     boolean isInbound,
                                     Hash destination)

Method Detail

### testSuccessful

    public void testSuccessful(int ms)

  Description copied from interface: `TunnelInfo`
  take note that the tunnel was able to measurably Do Good in the given time

  Specified by:
    `testSuccessful` in interface `TunnelInfo`
  Overrides:
    `testSuccessful` in class `TunnelCreatorConfig`

### tunnelFailed

    public boolean tunnelFailed()

  The tunnel failed, so stop using it

  Overrides:
    `tunnelFailed` in class `TunnelCreatorConfig`

### getOptions

    public java.util.Properties getOptions()

  Overrides:
    `getOptions` in class `TunnelCreatorConfig`

### setTunnelPool

    public void setTunnelPool(TunnelPool pool)

### getTunnelPool

    public TunnelPool getTunnelPool()

### setTestJob

    public void setTestJob(TestJob job)

### setExpireJob

    public void setExpireJob(Job job)

### setPairedTunnel

    public void setPairedTunnel(TunnelInfo tunnel)